九章智算云

设置定时自动关机

为CCI容器计算实例设置定时自动关机时间。

POSThttps://api.alayanew.com/v1/cci/instance/{id}/set-auto-shutdown

鉴权(Authorizations)

AuthorizationString必填

用户可通过已获取的 Open API Key 做验证。例如:Bearer [YOUR_API_KEY]

Path Parameters

idString必填

实例ID,实例的唯一标识符,例如:08ba7a0e-af00-4072-a5e5-1298ed6c1aa0

Request body

shutdownTimeString

定时关机时间,格式为 yyyy-MM-dd HH:mm:ss,例如:2021-01-01 00:00:00

autoShutdownEnableBoolean

定时关机是否开启,例如:true

Response

statusInteger

业务状态码,200表示成功。

messageString

接口响应信息,成功或失败原因描述。

dataObject

接口返回的数据对象,成功时返回对应业务数据,失败时可能为空对象。

curl -X 'POST' \
  'https://api.alayanew.com/v1/cci/instance/08ba7a0e-af00-4072-a5e5-1298ed6c1aa0/set-auto-shutdown' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer [YOUR_API_KEY]' \
  -H 'Content-Type: application/json' \
  -d '{
  "shutdownTime": "2021-01-01 00:00:00",
  "autoShutdownEnable": true
}'
import requests

url = "https://api.alayanew.com/v1/cci/instance/08ba7a0e-af00-4072-a5e5-1298ed6c1aa0/set-auto-shutdown"

headers = {
    "accept": "application/json",
    "Authorization": "Bearer [YOUR_API_KEY]",
    "Content-Type": "application/json"
}

data = {
    "shutdownTime": "2021-01-01 00:00:00",
    "autoShutdownEnable": True
}

response = requests.post(url, headers=headers, json=data)

print(response.text)
fetch('https://api.alayanew.com/v1/cci/instance/08ba7a0e-af00-4072-a5e5-1298ed6c1aa0/set-auto-shutdown', {
  method: 'POST',
  headers: {
    'accept': 'application/json',
    'Authorization': 'Bearer [YOUR_API_KEY]',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    shutdownTime: "2021-01-01 00:00:00",
    autoShutdownEnable: true
  })
})
  .then(response => response.text())
  .then(data => console.log(data))
  .catch(error => console.error(error));
{
  "status": 200,
  "message": "OK",
  "data": {}
}
{
  "status": 403,
  "message": "Forbidden",
  "data": {}
}
{
  "status": 500,
  "message": "Internal Server Error",
  "data": {}
}

最后更新于